tigase.jaxmpp.core.client.xmpp.modules.auth.saslmechanisms

## Class AbstractSaslMechanism

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.auth.saslmechanisms.AbstractSaslMechanism

- All Implemented Interfaces:
    SaslMechanism
  Direct Known Subclasses:
    AbstractScram, AnonymousMechanism, ExternalMechanism, PlainMechanism, XOAuth2Mechanism

      public abstract class AbstractSaslMechanism
      extends Object
      implements SaslMechanism

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SASL_COMPLETE_KEY`

    - ### Fields inherited from interface tigase.jaxmpp.core.client.xmpp.modules.auth.SaslMechanism

      `FORCE_AUTHZID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSaslMechanism()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isComplete(SessionObject sessionObject)` Determines whether the authentication exchange has completed.
    `protected void` | `setComplete(SessionObject sessionObject, boolean complete)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.xmpp.modules.auth.SaslMechanism

      `evaluateChallenge, isAllowedToUse, name`

- - ### Field Detail

    - #### SASL_COMPLETE_KEY

          public static final String SASL_COMPLETE_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractSaslMechanism

          public AbstractSaslMechanism()

  - ### Method Detail

    - #### isComplete

          public boolean isComplete(SessionObject sessionObject)

      Description copied from interface: `SaslMechanism`
      Determines whether the authentication exchange has completed.
      Specified by:
        `isComplete` in interface `SaslMechanism`
      Parameters:
        `sessionObject` - current SessionObject
      Returns:
        `true` if exchange is complete.

    - #### setComplete

          protected void setComplete(SessionObject sessionObject,
                                     boolean complete)

Copyright © 2006–2019 Tigase. All rights reserved.